Package org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.FieldTypes

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest<T>
    - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.FieldTypesResponse>
      - - org.apache.solr.client.solrj.request.schema.SchemaRequest.FieldTypes

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SchemaRequest

    public static class SchemaRequest.FieldTypes
    extends AbstractSchemaRequest<SchemaResponse.FieldTypesResponse>

Schema API request that lists the types definitions contained in the schema.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`FieldTypes()`
`FieldTypes​(SolrParams q)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SchemaResponse.FieldTypesResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server

### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

`getParams, getRequestType`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest

`requiresCollection`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldTypes

    public FieldTypes()

#### FieldTypes

    public FieldTypes​(SolrParams q)

### Method Detail

#### createResponse

    protected SchemaResponse.FieldTypesResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<SchemaResponse.FieldTypesResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to